#include <kdialog.h>
#include <klocale.h>

#ifndef UI_SRCSELECT_H
#define UI_SRCSELECT_H

#include <qvariant.h>


#include <Qt3Support/Q3ButtonGroup>
#include <QtCore/QVariant>
#include <QtGui/QAction>
#include <QtGui/QApplication>
#include <QtGui/QButtonGroup>
#include <QtGui/QGridLayout>
#include <QtGui/QRadioButton>
#include <QtGui/QSpacerItem>
#include <QtGui/QWidget>
#include "klineedit.h"
#include "kpushbutton.h"
#include "kurlrequester.h"
#include <Qt3Support/Q3MimeSourceFactory>

class Ui_SrcSelect
{
public:
    QGridLayout *gridLayout;
    Q3ButtonGroup *buttonGroup2;
    QGridLayout *gridLayout1;
    QRadioButton *checkFile;
    KUrlRequester *newFilename;
    QRadioButton *checkClipboard;
    QSpacerItem *spacerItem;

    void setupUi(QWidget *SrcSelect)
    {
    SrcSelect->setObjectName(QString::fromUtf8("SrcSelect"));
    QSizePolicy sizePolicy(static_cast<QSizePolicy::Policy>(5), static_cast<QSizePolicy::Policy>(5));
    sizePolicy.setHorizontalStretch(0);
    sizePolicy.setVerticalStretch(0);
    sizePolicy.setHeightForWidth(SrcSelect->sizePolicy().hasHeightForWidth());
    SrcSelect->setSizePolicy(sizePolicy);
    SrcSelect->setMinimumSize(QSize(350, 0));
    gridLayout = new QGridLayout(SrcSelect);
    gridLayout->setSpacing(6);
    gridLayout->setMargin(0);
    gridLayout->setObjectName(QString::fromUtf8("gridLayout"));
    buttonGroup2 = new Q3ButtonGroup(SrcSelect);
    buttonGroup2->setObjectName(QString::fromUtf8("buttonGroup2"));
    buttonGroup2->setColumnLayout(0, Qt::Vertical);
    buttonGroup2->layout()->setSpacing(6);
    buttonGroup2->layout()->setMargin(0);
    gridLayout1 = new QGridLayout(buttonGroup2->layout());
    gridLayout1->setAlignment(Qt::AlignTop);
    gridLayout1->setObjectName(QString::fromUtf8("gridLayout1"));
    gridLayout1->setMargin(0);
    checkFile = new QRadioButton(buttonGroup2);
    checkFile->setObjectName(QString::fromUtf8("checkFile"));
    checkFile->setChecked(true);

    gridLayout1->addWidget(checkFile, 2, 0, 1, 1);

    newFilename = new KUrlRequester(buttonGroup2);
    newFilename->setObjectName(QString::fromUtf8("newFilename"));
    newFilename->setEnabled(true);

    gridLayout1->addWidget(newFilename, 2, 1, 1, 1);

    checkClipboard = new QRadioButton(buttonGroup2);
    checkClipboard->setObjectName(QString::fromUtf8("checkClipboard"));

    gridLayout1->addWidget(checkClipboard, 1, 0, 1, 1);


    gridLayout->addWidget(buttonGroup2, 0, 0, 1, 1);

    spacerItem = new QSpacerItem(20, 31, QSizePolicy::Minimum, QSizePolicy::Expanding);

    gridLayout->addItem(spacerItem, 1, 0, 1, 1);


    retranslateUi(SrcSelect);

    QSize size(350, 93);
    size = size.expandedTo(SrcSelect->minimumSizeHint());
    SrcSelect->resize(size);

    QObject::connect(checkFile, SIGNAL(toggled(bool)), SrcSelect, SLOT(checkFile_toggled(bool)));

    QMetaObject::connectSlotsByName(SrcSelect);
    } // setupUi

    void retranslateUi(QWidget *SrcSelect)
    {
    buttonGroup2->setTitle(QString());
    checkFile->setText(tr2i18n("File:", 0));
    checkClipboard->setText(tr2i18n("Clipboard", 0));
    Q_UNUSED(SrcSelect);
    } // retranslateUi

};

namespace Ui {
    class SrcSelect: public Ui_SrcSelect {};
} // namespace Ui

class SrcSelect : public QWidget, public Ui::SrcSelect
{
    Q_OBJECT

public:
    SrcSelect(QWidget* parent = 0, const char* name = 0, Qt::WindowFlags fl = 0);
    ~SrcSelect();

public slots:
    virtual void checkFile_toggled( bool isOn );

protected slots:
    virtual void languageChange();

};

#endif // SRCSELECT_H

